graph enumeration {bnlearn} | R Documentation

## Count graphs with specific characteristics

### Description

Count directed acyclic graphs of various sizes with specific characteristics.

### Usage

    count.graphs(type = "all.dags", nodes, ..., debug = FALSE)

### Arguments

`type` | a character string, the label describing the types of graphs to be counted (see below).
`nodes` | a vector of positive integers, the graph sizes as given by the numbers of nodes.
`...` | additional parameters (see below).
`debug` | a boolean value. If `TRUE` a lot of debugging output is printed; otherwise the function is completely silent. Ignored in some generation methods.

### Details

The types of graphs, and the associated additional parameters, are:

- `all-dags`: all directed acyclic graphs.

- `dags-given-ordering`: all directed acyclic graphs with a specific topological ordering.

- `dags-with-k-roots`: all directed acyclic graphs with `k` root nodes.

- `dags-with-r-arcs`: all directed acyclic graphs with `r` arcs.

### Value

`count.graphs()` returns an objects of class `bigz` from the gmp package, a vector with the graph counts.

### Author(s)

Marco Scutari

### References

Harary F, Palmer EM (1973). "Graphical Enumeration". Academic Press.

Rodionov VI (1992). "On the Number of Labeled Acyclic Digraphs". Discrete Mathematics, 105:319–321.

Liskovets VA (1976). "On the Number of Maximal Vertices of a Random Acyclic Digraph". Theory of Probability and its Applications, 20(2):401–409.

### Examples

    ## Not run:
    count.graphs("dags.with.r.arcs", nodes = 3:6, r = 2)

    ## End(Not run)

[Package bnlearn version 4.7.1 Index]